Get Network Config Profiles
Get network profiles compatible with the storage type and hosts subject to installation.
Show optional properties
{
"storageType": "string",
"hostSpecs": [
{
"hostname": "esx-1"
}
]
}
{
"storageType": "string",
"hostSpecs": [
{
"hostname": "esx-1",
"credentials": {
"username": "root",
"password": "string"
},
"sshThumbprint": "SHA256:rVPNWOKE2tZjvmYvKPhtc3ghJ41Vc0G3MwASf4+8+yc",
"sslThumbprint": "3D:D0:EE:B5:A0:CC:45:08:5C:4F:84:51:CD:00:B6:41:BB:4A:A2:9A:77:1C:A6:4C:6D:84:5A:D0:4F:68:7A:B8"
}
],
"subdomain": "vcf.vmware.com",
"nsxConfigType": "One among: NSX_SEPARATION, NO_NSX_SEPARATION",
"additionalPortGroups": [
"[FLEET_MANAGEMENT]"
]
}
Storage type of the Management Domain
List of hosts which will be used for the Management Domain
Tenant Sub domain. Includes the full domain suffix
NSX Config Type
Additional port groups that are to be included. 0 or more of the allowed values can be included. Allowed values: FLEET_MANAGEMENT
OK
{
"commonPhysicalNics": [
{
"deviceName": "string",
"speedMb": 0,
"isSmartNic": false,
"smartNic": false
}
],
"profiles": [
{
"id": "string",
"name": "string",
"description": "string",
"dvsSpecs": [
{
"dvsName": "VdsName",
"networks": [
"MANAGEMENT"
],
"mtu": 9000,
"nsxtSwitchConfig": {
"transportZones": [
{
"name": "string",
"transportType": "One among: VLAN, OVERLAY"
}
],
"hostSwitchOperationalMode": "One among: STANDARD, ENS, ENS_INTERRUPT",
"ipAssignmentType": "string"
},
"vmnicsToUplinks": [
{
"id": "vmnic0",
"uplink": "uplink1"
}
],
"nsxTeamings": [
{
"policy": "One among: FAILOVER_ORDER, LOADBALANCE_SRCID, LOADBALANCE_SRC_MAC",
"activeUplinks": [
"string"
],
"standByUplinks": [
"string"
]
}
],
"lagSpecs": [
{
"name": "string",
"uplinksCount": 0,
"lacpMode": "One among:ACTIVE, PASSIVE",
"loadBalancingMode": "One among:SOURCE_MAC, DESTINATION_MAC, SOURCE_AND_DESTINATION_MAC, DESTINATION_IP_AND_VLAN, SOURCE_IP_AND_VLAN, SOURCE_AND_DESTINATION_IP_AND_VLAN, DESTINATION_TCP_UDP_PORT, SOURCE_TCP_UDP_PORT, SOURCE_AND_DESTINATION_TCP_UDP_PORT, DESTINATION_IP_AND_TCP_UDP_PORT, SOURCE_IP_AND_TCP_UDP_PORT, SOURCE_AND_DESTINATION_IP_AND_TCP_UDP_PORT, DESTINATION_IP_AND_TCP_UDP_PORT_AND_VLAN, SOURCE_IP_AND_TCP_UDP_PORT_AND_VLAN, SOURCE_AND_DESTINATION_IP_AND_TCP_UDP_PORT_AND_VLAN, DESTINATION_IP, SOURCE_IP, SOURCE_AND_DESTINATION_IP, VLAN, SOURCE_PORT_ID",
"lacpTimeoutMode": "One among:SLOW, FAST"
}
]
}
],
"dvsNameToPortgroupSpecs": {
"dvsNameToPortgroupSpecs": [
{
"networkType": "MANAGEMENT",
"subnet": "10.0.0.250/24",
"gateway": "10.0.0.250",
"subnetMask": "255.255.255.0",
"includeIpAddress": [
"[10.0.0.100]"
],
"includeIpAddressRanges": [
{
"startIpAddress": "192.168.0.123",
"endIpAddress": "192.168.0.128"
}
],
"vlanId": 1000,
"mtu": 0,
"teamingPolicy": "loadbalance_ip",
"activeUplinks": [
"string"
],
"standbyUplinks": [
"string"
],
"portGroupKey": "string",
"ipAddressVersion": "IPv6",
"ipAddressAssignmentMode": "SLAAC"
}
]
}
}
]
}
List of physical NICs common to all hosts.
List of pre-configured network profiles
InternalServerError
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
The nested errors when the error is a composite one
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"hostSpecs":["object"],"storageType":"string"}' https://{api_host}/v1/sddcs/network-config-profiles